sonar-qube-code-coverage Test

Description

Checks whether a component has at least 80% unit test code coverage

Notes

Priority

Very High
2 passing tests
54 not applicable tests

56 Test Results

Component Test Teams Priority Outcome Message
sonar-qube-code-coverage Kronicle App Very High passing

All SonarQube project(s) have unit test code coverage that satisfies the minimum:

sonar-qube-code-coverage Kronicle Service Very High passing

All SonarQube project(s) have unit test code coverage that satisfies the minimum:

sonar-qube-code-coverage /restapis/h8lrgxlzia Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage /restapis/h8lrgxlzia/stages/prod Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage Amazon AWS Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage apilambdacruddynamodbexa-itemscanaryartifactsbuck-18c7zoqkjweyy Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage apilambdacruddynamodbexa-itemscanaryartifactsbuck-d195wkjsj079 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage apilambdacruddynamodbexa-itemscanaryartifactsbuck-wexqqs83o0i6 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage ApiLambdaCrudDynamoDBExample/exampleVpc/publicSubnet1 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage ApiLambdaCrudDynamoDBExample/exampleVpc/publicSubnet2 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage Bitbucket Server Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage cdk-hnb659fds-assets-621347945510-us-west-2 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage cluster/kronicle Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage Datadog Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage default Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage example Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage GitHub Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage GitLab Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage kronicle Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage kronicle Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage Kronicle CDK Config
  • kronicle-project

    The Kroncile Project maintains this AWS CDK config for Kronicle

Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage Kronicle Helm Chart Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage kronicle-mBQhLU Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage KronicleStack-KronicleTaskDefinitionKronicleAppLogGroup7917096D-hbJWmCaNIKYO Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage KronicleStack-KronicleTaskDefinitionKronicleServiceLogGroupC47F3164-3LExDck3krwn Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage KronicleStack/KronicleVpc/publicSubnet1 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage KronicleStack/KronicleVpc/publicSubnet1 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage KronicleStack/KronicleVpc/publicSubnet2 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage KronicleStack/KronicleVpc/publicSubnet2 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage Lambda Example Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage lambda-example-canary Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage lambda-example-create-item-function Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage lambda-example-delete-all-items-function Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage lambda-example-delete-item-function Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage lambda-example-get-all-items-function Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage lambda-example-get-item-function Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage lambda-example-update-item-function Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage lambda-example-vpc Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage lambda-example-vpc Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage lambda-example-vpc Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage lambdaexample-canaryartifactsbucket4a60d32b-1ge3uxzkslhlr Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage LambdaExample/Vpc/publicSubnet1 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage LambdaExample/Vpc/publicSubnet1 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage LambdaExample/Vpc/publicSubnet2 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage LambdaExample/Vpc/publicSubnet2 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage parameter/cdk-bootstrap/hnb659fds/version Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage security-group/sg-02cce8a30060083f0 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage security-group/sg-04c41ee3f4784c3d5 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage security-group/sg-0883304a22bc5c867 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage security-group/sg-08d171ce301f089a7 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage security-group/sg-0f3679355b8367345 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage SonarQube Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage stack/ApiLambdaCrudDynamoDBExample/8ed56130-a17f-11ec-9987-069883ee9c53 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage stack/LambdaExample/a4af8de0-bb02-11ec-a648-06d50a8e10b9 Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage table/lambda-example-dynamodb-table Very High not applicable

Component does not have a SonarQube project

sonar-qube-code-coverage Zipkin Very High not applicable

Component does not have a SonarQube project

Kronicle App v0.1.260